/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "playlist.h"

FD_playlist *create_form_playlist(void)
{
	FL_OBJECT *obj;
	FD_playlist *fdui = (FD_playlist *) fl_calloc(1, sizeof(*fdui));

	fdui->playlist = fl_bgn_form(FL_NO_BOX, 430, 290);
	obj = fl_add_box(FL_UP_BOX, 0, 0, 430, 290, "");

	fdui->playlist_group = fl_bgn_group();
	fdui->done_button = obj = fl_add_button(FL_NORMAL_BUTTON, 330, 20, 80, 30, "DONE");
	fl_set_button_shortcut(obj, "D,d", 1);
	fl_set_object_lsize(obj, FL_NORMAL_SIZE);
	fl_set_object_lstyle(obj, FL_NORMAL_STYLE + FL_ENGRAVED_STYLE);
	fl_set_object_callback(obj, done_button_callback, 0);
	

	fdui->add_button = obj = fl_add_button(FL_NORMAL_BUTTON, 330, 80, 80, 30, "ADD");
	fl_set_button_shortcut(obj, "A,a", 1);
	fl_set_object_lsize(obj, FL_NORMAL_SIZE);
	fl_set_object_lstyle(obj, FL_NORMAL_STYLE + FL_ENGRAVED_STYLE);
	fl_set_object_callback(obj, add_button_callback, 0);

	fdui->remove_button = obj = fl_add_button(FL_NORMAL_BUTTON, 330, 120, 80, 30, "REMOVE");
	fl_set_button_shortcut(obj, "R,r", 1);
	fl_set_object_lsize(obj, FL_NORMAL_SIZE);
	fl_set_object_lstyle(obj, FL_NORMAL_STYLE + FL_ENGRAVED_STYLE);
	fl_set_object_callback(obj, remove_buton_callback, 0);

	fdui->load_button = obj = fl_add_button(FL_NORMAL_BUTTON, 330, 180, 80, 30, "LOAD");
	fl_set_button_shortcut(obj, "L,l", 1);
	fl_set_object_lsize(obj, FL_NORMAL_SIZE);
	fl_set_object_lstyle(obj, FL_NORMAL_STYLE + FL_ENGRAVED_STYLE);
	fl_set_object_callback(obj, load_buton_callback, 0);

	fdui->save_button = obj = fl_add_button(FL_NORMAL_BUTTON, 330, 220, 80, 30, "SAVE");
	fl_set_button_shortcut(obj, "S,s", 1);
	fl_set_object_lsize(obj, FL_NORMAL_SIZE);
	fl_set_object_lstyle(obj, FL_NORMAL_STYLE + FL_ENGRAVED_STYLE);
	fl_set_object_callback(obj, save_button_callback, 0);

	fdui->list_text = obj = fl_add_text(FL_NORMAL_TEXT, 20, 20, 290, 30, "Playlist : ");
	fl_set_object_boxtype(obj, FL_DOWN_BOX);
	fl_set_object_lsize(obj, FL_MEDIUM_SIZE);
	fl_set_object_lalign(obj, FL_ALIGN_LEFT | FL_ALIGN_INSIDE);
	fl_set_object_lstyle(obj, FL_BOLD_STYLE);

	fdui->list_browser = obj = fl_add_browser(FL_MULTI_BROWSER, 20, 60, 290, 210, "");
	fl_set_object_color(obj, FL_COL1, FL_WHITE);
	fl_set_object_dblbuffer(obj, 1);
	fl_set_object_callback(obj, list_browser_callback, 0);
	fl_end_group();
	fl_set_object_bw(fdui->playlist_group, -2);

	fl_end_form();

	return fdui;
}
/*---------------------------------------*/
